# vue-router documentation [![npm package](https://img.shields.io/npm/v/vue-router.svg)](https://www.npmjs.com/package/vue-router)

- [Installation](installation.md)
- [Basic Usage](basic.md)
- [Nested Routes](nested.md)
- [Route Object & Route Matching](route.md)
- [Named Routes](named.md)
- [Router Options](options.md)
- [router-view](view.md)
- [v-link](link.md)
- [Transition Pipeline](pipeline/README.md)
  - [Transition Hooks](pipeline/hooks.md)
  - [data](pipeline/data.md)
  - [activate](pipeline/activate.md)
  - [deactivate](pipeline/deactivate.md)
  - [canActivate](pipeline/can-activate.md)
  - [canDeactivate](pipeline/can-deactivate.md)
  - [canReuse](pipeline/can-reuse.md)
- [API Reference](api/README.md)
  - [Router instance properties](api/properties.md)
  - [router.start](api/start.md)
  - [router.stop](api/stop.md)
  - [router.map](api/map.md)
  - [router.on](api/on.md)
  - [router.go](api/go.md)
  - [router.replace](api/replace.md)
  - [router.redirect](api/redirect.md)
  - [router.alias](api/alias.md)
  - [router.beforeEach](api/before-each.md)
  - [router.afterEach](api/after-each.md)
